# Descriptive statistics of the Sanctions Intensity index over different time periods

# Rafsanjani & Khatami presidencies 1989q3-2005q2
master89_05 <- subset(master, date>="1989Q3" & date<="2005Q2")
descriptives_89_05 <- descr(master89_05$s, plain.ascii = FALSE, 
                              style = "rmarkdown", transpose = TRUE) %>% tb()
time <- data.frame(Time_period = "Rafsanjani & Khatami presidencies 1989q3-2005q2");


# Ahmadinejad presidency 2005q3-2013q2
master06_11 <- subset(master, date>="2005Q3" & date<="2013Q2")
descriptives_06_11 <- descr(master06_11$s, plain.ascii = FALSE, 
                              style = "rmarkdown", transpose = TRUE) %>% tb()
time[2,] <- c("Ahmadinejad presidency 2005q3-2013q2")


# U.N./U.S. max sanctions 2012q1-2014q4
master12_15 <- subset(master, date>="2012Q1" & date<="2014Q4")
descriptives_12_15 <- descr(master12_15$s, plain.ascii = FALSE, 
                              style = "rmarkdown", transpose = TRUE) %>% tb()
time[3,] <- c("U.N./U.S. max sanctions 2012q1-2014q4")


# JCPOA agreement 2015q1-2018q1
master15_18 <- subset(master, date>="2015Q1" & date<="2018Q1")
descriptives_15_18 <- descr(master15_18$s, plain.ascii = FALSE, 
                              style = "rmarkdown", transpose = TRUE) %>% tb()
time[4,] <- c("JCPOA agreement 2015q1-2018q1")


# U.S. "maximum pressure" 2018q2-2020q3
master18_20 <- subset(master, date>="2018Q2")
descriptives_18_20 <- descr(master18_20$s, plain.ascii = FALSE, 
                              style = "rmarkdown", transpose = TRUE) %>% tb()
time[5,] <- c("U.S. 'maximum pressure' 2018q2-2020q3")


# Full sample (post Iran-Iraq War) 1989q1-2020q3
master89_20 <- subset(master, date>=1989)
descriptives_89_20 <- descr(master89_20$s, plain.ascii = FALSE, 
                              style = "rmarkdown", transpose = TRUE) %>% tb()
time[6,] <- c("Full sample (post Iran-Iraq War) 1989q1-2020q3")

# Export results
descriptives <- rbind(descriptives_89_05, descriptives_06_11, 
                        descriptives_12_15, descriptives_15_18, descriptives_18_20, 
                        descriptives_89_20)
descriptives <- cbind(time, descriptives)

descriptives = subset(descriptives, select = -c(q1, q3, skewness, mad,	iqr,	cv, variable,
                                                se.skewness,	kurtosis,	n.valid,	pct.valid))

descriptives <- descriptives[, c(1,4,5,2,6,3)]

write.xlsx(descriptives, "../LP Sanctions Iran Results/descriptives/s_indicator.xlsx")

rm(master15_18, master18_20, master89_05, master06_11, master12_15, master89_20, descriptives, time)    
rm(list=ls(pattern="^descriptives_"))