# SVAR alternative ordering: Inflation, FX returns, M2 growth, Output growth --------------------------

# * DP regressions ----------------------------------------------------

svarx.dp1 <- lm(d$lp ~  s + lag(s,1) + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) +
                  lag(d$ly ,1) + lag(d$lp ,2), 
                subset(master, date>="1988Q3" & date<="2020Q1") )
adjr2 <- data.frame(summary(svarx.dp1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dp2 <- lm(d$lp ~  s + lag(s,1)+ lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1)+ lag(d$lp ,2) + d$lyw, 
                subset(master, date>="1988Q3" & date<="2020Q1") )
adjr2[2,] <- data.frame(summary(svarx.dp2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,] <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dp3 <- lm(d$lp ~  s + lag(s,1)+ lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1) + lag(d$lp ,2) + d$lyw + d$lp_oil,
                subset(master, date>="1988Q3" & date<="2020Q1")  )
adjr2[3,] <- data.frame(summary(svarx.dp3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,] <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp4 <- lm(d$lp ~  s + lag(s,1) + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1) + lag(d$lp ,2) + d$lyw + d$lp_oil + grve , 
                subset(master, date>="1988Q3" & date<="2020Q1") )
adjr2[4,] <- data.frame(summary(svarx.dp4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,] <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dp5 <- lm(d$lp ~  s + lag(s,1) + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1) + lag(d$lp ,2) + d$lyw + d$lp_oil + grve + d$lgep, 
                subset(master, date>="1988Q3" & date<="2020Q1") )
adjr2[5,] <- data.frame(summary(svarx.dp5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,] <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp6 <- lm(d$lp ~  s + lag(s,1) + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) +
                  lag(d$ly ,1) + lag(d$lp ,2) + d$lyw + d$lp_oil + grve + d$lgep + d$lgeq, 
                subset(master, date>="1988Q3"& date<="2020Q1") )
adjr2[6,] <- data.frame(summary(svarx.dp6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,] <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp7 <- lm(d$lp ~  s + lag(s,1) + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1) + lag(d$lp ,2) + d$lyw + d$lp_oil + grve + d$lgep + d$lgeq + dglr, 
                subset(master, date>="1988Q3" & date<="2020Q1"))
adjr2[7,] <- data.frame(summary(svarx.dp7)$adj.r.squared)
resid_serial_corr_coeff[7,] <- data.frame(bgtest(svarx.dp7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[7,] <- data.frame(bgtest(svarx.dp7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2 <- paste(sprintf("%.3f",adjr2$summary.svarx.dp1..adj.r.squared), collapse = NULL)
serial <- paste(errorsc_coeff,"$\\;$ ",errorsc_p)


stargazer(svarx.dp1, svarx.dp2, svarx.dp3, svarx.dp4, svarx.dp5, svarx.dp6,  svarx.dp7,
          title = "Quarterly estimates of the equation for the inflation rate in the SVAR model of Iran with 
          domestic variables ordered as: inflation, foreign exchange rate returns, money supply growth, and 
          output growth, estimated over the period 1989q1-2020q1",
          covariate.labels = c("$s_{t}$", 
                               "$s_{t-1}$", 
                               "$\\Delta e_{f,t-1}$", 
                               "$\\Delta m_{t-1}$",
                               "$\\Delta p_{t-1}$", 
                               "$\\Delta y_{t-1}$", 
                               "$\\Delta p_{t-2}$", 
                               "$\\Delta \\bar{y}_{wt}$",
                               "$\\Delta p^{0}_{t}$",
                               "$grv_{t}$", 
                               "$\\Delta \\bar{e}_{wt}$", 
                               "$\\Delta \\overline{req}_{wt}$", 
                               "$\\Delta \\bar{r}_{wt}$"), 
          omit =c("Constant"), 
          font.size = "small",
          omit.stat = c("all"), 
          no.space = TRUE, 
          column.sep.width = "-15pt" ,
          dep.var.caption = c("$\\Delta p_{t}$"), 
          align = TRUE,
          omit.table.layout = "n",
          add.lines = list(c("Residual serial", errorsc_coeff),
                           c("correlation test", errorsc_p),
                           c("Adjusted $R^{2}$", adjr2)),
          dep.var.labels.include = FALSE, 
          type = "text",
          out = '../LP Sanctions Iran Results/SVAR results/svar_DP_ordering2.tex')

rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)




# * FX regressions ----------------------------------------------------

svarx.df1 <- lm(d$lfx ~  s + lag(s,1) + d$lp + lag(d$lfx ,1)+ lag(d$lm2,1) + lag(d$lp ,1) 
                + lag(d$ly ,1), subset(master, date>="1988Q4" & date<="2020Q1") )

adjr2 <- data.frame(summary(svarx.df1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.df1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p <- data.frame(bgtest(svarx.df1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)

svarx.df2 <- lm(d$lfx ~  s + lag(s,1) + d$lp + lag(d$lfx ,1)  + lag(d$lm2,1) + lag(d$lp ,1)
                + lag(d$ly ,1)+ d$lyw, subset(master, date>="1988Q4" & date<="2020Q1") )
adjr2[2,] <- data.frame(summary(svarx.df2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.df2, order = 4, 
                                                 order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,] <- data.frame(bgtest(svarx.df2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.df3 <- lm(d$lfx ~  s + lag(s,1) + d$lp + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1) 
                + lag(d$ly ,1)+  d$lyw + d$lp_oil , subset(master, date>="1988Q4" & date<="2020Q1") )
adjr2[3,] <- data.frame(summary(svarx.df3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.df3, order = 4, 
                                                 order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,] <- data.frame(bgtest(svarx.df3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.df4 <- lm(d$lfx ~  s + lag(s,1) + d$lp + lag(d$lfx ,1)  + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw + 
                  d$lp_oil + grve, subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[4,] <- data.frame(summary(svarx.df4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.df4, order = 4, 
                                                 order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,] <- data.frame(bgtest(svarx.df4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.df5 <- lm(d$lfx ~  s + lag(s,1) + d$lp + lag(d$lfx ,1)  + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw + 
                  d$lp_oil + grve + d$lgep, subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[5,] <- data.frame(summary(svarx.df5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.df5, order = 4, 
                                                 order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,] <- data.frame(bgtest(svarx.df5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.df6 <- lm(d$lfx ~ s + lag(s,1) + d$lp + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw + 
                  d$lp_oil + grve + d$lgep + d$lgeq, subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[6,] <- data.frame(summary(svarx.df6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.df6, order = 4, 
                                                 order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,] <- data.frame(bgtest(svarx.df6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.df7 <- lm(d$lfx ~  s + lag(s,1) + d$lp + lag(d$lfx ,1)  + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)
                + d$lyw + d$lp_oil + grve + d$lgep + d$lgeq + dglr, subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[7,] <- data.frame(summary(svarx.df7)$adj.r.squared)
resid_serial_corr_coeff[7,] <- data.frame(bgtest(svarx.df7, order = 4, 
                                                 order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[7,] <- data.frame(bgtest(svarx.df7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.df1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.df1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2 <- paste(sprintf("%.3f",adjr2$summary.svarx.df1..adj.r.squared), collapse = NULL)
serial <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)


svarx1<-stargazer(svarx.df1, svarx.df2, svarx.df3, svarx.df4, svarx.df5, svarx.df6, svarx.df7,
                  title = "Quarterly estimates of the equation for the rate of change of the free market foreign exchange
rate in the SVAR model of Iran with domestic variables ordered as: inflation, foreign exchange rate
returns, money supply growth, and output growth, estimated over the period 1989q1-2020q1",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta p_{t}$", 
                                       "$\\Delta e_{f,t-1}$", 
                                       "$\\Delta m_{t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$", 
                                       "$\\Delta \\bar{y}_{wt}$", 
                                       "$\\Delta p^{0}_{t}$",
                                       "$grv_{t}$", 
                                       "$\\Delta \\bar{e}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$", 
                                       "$\\Delta \\bar{r}_{wt}$"), 
                  omit =c("Constant"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta e_{f,t}$"), 
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  type = "text",                  
                  out = '../LP Sanctions Iran Results/SVAR results/svar_DFX_ordering2.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)



# * M2 regressions ----------------------------------------------------

svarx.dm1 <- lm(d$lm2 ~  s + lag(s,1) + d$lp + d$lfx + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1)
                + lag(d$ly ,1), subset(master, date>="1988Q4"& date<="2020Q1") )
adjr2 <- data.frame(summary(svarx.dm1)$adj.r.squared)

resid_serial_corr_coeff <- data.frame(bgtest(svarx.dm1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p <- data.frame(bgtest(svarx.dm1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dm2 <- lm(d$lm2 ~  s + lag(s,1) + d$lp +  d$lfx + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1)
                + lag(d$ly ,1)+ d$lyw, subset(master, date>="1988Q4"& date<="2020Q1") )
adjr2[2,] <- data.frame(summary(svarx.dm2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dm2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,] <- data.frame(bgtest(svarx.dm2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm3 <- lm(d$lm2 ~  s + lag(s,1) + d$lp + d$lfx + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1)
                + lag(d$ly ,1)+ d$lyw + d$lp_oil, subset(master, date>="1988Q4"& date<="2020Q1") )
adjr2[3,] <- data.frame(summary(svarx.dm3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dm3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,] <- data.frame(bgtest(svarx.dm3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm4 <- lm(d$lm2 ~  s + lag(s,1) + d$lp + d$lfx + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw +
                  + d$lp_oil + grve , subset(master, date>="1988Q4"& date<="2020Q1"))
adjr2[4,] <- data.frame(summary(svarx.dm4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dm4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,] <- data.frame(bgtest(svarx.dm4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm5 <- lm(d$lm2 ~  s + lag(s,1) + d$lp + d$lfx + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw +
                  + d$lp_oil + grve + d$lgep, subset(master, date>="1988Q4"& date<="2020Q1"))
adjr2[5,] <- data.frame(summary(svarx.dm5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dm5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,] <- data.frame(bgtest(svarx.dm5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dm6 <- lm(d$lm2 ~ s + lag(s,1) + d$lp + d$lfx + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw +
                  d$lp_oil + grve + d$lgep + d$lgeq, subset(master, date>="1988Q4"& date<="2020Q1"))
adjr2[6,] <- data.frame(summary(svarx.dm6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dm6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,] <- data.frame(bgtest(svarx.dm6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)

svarx.dm7 <- lm(d$lm2 ~  s + lag(s,1) + d$lp + d$lfx + lag(d$lfx ,1) + lag(d$lm2,1)+
                  + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw + d$lp_oil +
                  grve + d$lgep + d$lgeq + dglr, subset(master, date>="1988Q4"& date<="2020Q1") )
adjr2[7,] <- data.frame(summary(svarx.dm7)$adj.r.squared)
resid_serial_corr_coeff[7,] <- data.frame(bgtest(svarx.dm7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[7,] <- data.frame(bgtest(svarx.dm7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dm1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dm1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2 <- paste(sprintf("%.3f",adjr2$summary.svarx.dm1..adj.r.squared), collapse = NULL)
serial <- paste(errorsc_coeff,"$\\;$ ",errorsc_p)

stargazer(svarx.dm1, svarx.dm2, svarx.dm3, svarx.dm4, svarx.dm5, svarx.dm6, svarx.dm7,  
          title = "Quarterly estimates of the equation for the money supply growth in the SVAR model of Iran
      with domestic variables ordered as: inflation, foreign exchange rate returns, money supply growth, and
      output growth, estimated over the period 1989q1-2020q1",
          covariate.labels = c("$s_{t}$", 
                               "$s_{t-1}$",
                               "$\\Delta p_{t}$",
                               "$\\Delta e_{f,t}$", 
                               "$\\Delta e_{f,t-1}$",
                               "$\\Delta m_{t-1}$",
                               "$\\Delta p_{t-1}$",
                               "$\\Delta y_{t-1}$", 
                               "$\\Delta \\bar{y}_{wt}$",
                               "$\\Delta p^{0}_{t}$",
                               "$grv_{t}$",
                               "$\\Delta \\bar{e}_{wt}$", 
                               "$\\Delta \\overline{req}_{wt}$", 
                               "$\\Delta \\bar{r}_{wt}$"), 
          omit = c("Constant"), 
          font.size = "small",
          column.sep.width = "-15pt" ,
          omit.stat = c("all"),
          no.space = TRUE, 
          dep.var.caption = c("$\\Delta m_{t}$"), 
          add.lines = list(c("Residual serial", errorsc_coeff),
                           c("correlation test", errorsc_p),
                           c("Adjusted $R^{2}$", adjr2)),
          align = TRUE, 
          omit.table.layout = "n",
          dep.var.labels.include = FALSE, 
          type = "text",          
          out = '../LP Sanctions Iran Results/SVAR results/svar_Dm_ordering2.tex')

rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)








# * DY regressions ----------------------------------------------------

svarx.dy1 <- lm(d$ly ~  s + lag(s,1)+ d$lfx + d$lm2  + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + lag(d$ly ,1), 
                subset(master, date>="1988Q4" & date<="2020Q1") )
adjr2 <- data.frame(summary(svarx.dy1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy2 <- lm(d$ly ~  s + lag(s,1)+ d$lfx + d$lm2  + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1)  + d$lyw, 
                subset(master, date>="1988Q4"& date<="2020Q1"))
adjr2[2,] <- data.frame(summary(svarx.dy2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,] <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy3 <- lm(d$ly ~  s + lag(s,1)+ d$lfx + d$lm2 + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1)+ 
                  lag(d$ly ,1) + d$lyw + d$lp_oil, 
                subset(master, date>="1988Q4" & date<="2020Q1") )
adjr2[3,] <- data.frame(summary(svarx.dy3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,] <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy4 <- lm(d$ly ~  s + lag(s,1)+ d$lfx  + d$lm2 + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1) + d$lyw + d$lp_oil  + grve, 
                subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[4,] <- data.frame(summary(svarx.dy4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,] <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dy5 <- lm(d$ly ~  s + lag(s,1)+ d$lfx  + d$lm2 + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1) + d$lyw + d$lp_oil  + grve + d$lgep, 
                subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[5,] <- data.frame(summary(svarx.dy5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,] <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dy6 <- lm(d$ly ~  s + lag(s,1)+ d$lfx + d$lm2 + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1)+ 
                  lag(d$ly ,1) + d$lyw + d$lp_oil + grve + d$lgep + d$lgeq, 
                subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[6,] <- data.frame(summary(svarx.dy6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,] <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy7 <- lm(d$ly ~  s + lag(s,1)+ d$lfx + d$lm2 + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1)+ 
                  lag(d$ly ,1) + d$lyw + d$lp_oil + grve + d$lgep + d$lgeq + dglr, 
                subset(master, date>="1988Q4" & date<="2020Q1") )
adjr2[7,] <- data.frame(summary(svarx.dy7)$adj.r.squared)
resid_serial_corr_coeff[7,] <- data.frame(bgtest(svarx.dy7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[7,] <- data.frame(bgtest(svarx.dy7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2 <- paste(sprintf("%.3f",adjr2$summary.svarx.dy1..adj.r.squared), collapse = NULL)
serial <- paste(errorsc_coeff,"$\\;$ ",errorsc_p)


stargazer(svarx.dy1, svarx.dy2, svarx.dy3, svarx.dy4, svarx.dy5, svarx.dy6, svarx.dy7,
          title = "Quarterly estimates of the equation for the output growth in the SVAR model of Iran with
    domestic variables ordered as: inflation, foreign exchange rate returns, money supply growth, and output
      growth, estimated over the period 1989q1-2020q1",  
          covariate.labels = c("$s_{t}$", "$s_{t-1}$", 
                               "$\\Delta e_{f,t}$", 
                               "$\\Delta m_{t}$", 
                               "$\\Delta p_{t}$",
                               "$\\Delta e_{f,t-1}$", 
                               "$\\Delta m_{t-1}$", 
                               "$\\Delta p_{t-1}$", 
                               "$\\Delta y_{t-1}$", 
                               "$\\Delta \\bar{y}_{wt}$",
                               "$\\Delta p^{0}_{t}$",
                               "$grv_{t}$", 
                               "$\\Delta \\bar{e}_{wt}$", 
                               "$\\Delta \\overline{req}_{wt}$", 
                               "$\\Delta \\bar{r}_{wt}$"), 
          omit =c("Constant"), 
          font.size = "small",
          omit.stat = c("all"), 
          no.space = TRUE, 
          column.sep.width = "-15pt" ,
          dep.var.caption = c("$\\Delta y_{t}$"), 
          align = TRUE, 
          omit.table.layout = "n",
          add.lines = list(c("Residual serial", errorsc_coeff),
                           c("correlation test", errorsc_p),
                           c("Adjusted $R^{2}$", adjr2)),
          dep.var.labels.include = FALSE, 
          type = "text",          
          out = '../LP Sanctions Iran Results/SVAR results/svar_DY_ordering2.tex')

rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)












# SVAR alternative ordering: M2 growth, FX return, Inflation, Output Growth -----------------------

# * M2 regressions ----------------------------------------------------

svarx.dm1 <- lm(d$lm2 ~  s + lag(s,1) + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1)
                + lag(d$ly ,1), subset(master, date>="1988Q4"& date<="2020Q1") )
adjr2 <- data.frame(summary(svarx.dm1)$adj.r.squared)

resid_serial_corr_coeff <- data.frame(bgtest(svarx.dm1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p <- data.frame(bgtest(svarx.dm1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dm2 <- lm(d$lm2 ~  s + lag(s,1) + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1)
                + lag(d$ly ,1)+ d$lyw, subset(master, date>="1988Q4"& date<="2020Q1") )
adjr2[2,] <- data.frame(summary(svarx.dm2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dm2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,] <- data.frame(bgtest(svarx.dm2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm3 <- lm(d$lm2 ~  s + lag(s,1) + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1)
                + lag(d$ly ,1)+ d$lyw + d$lp_oil, subset(master, date>="1988Q4"& date<="2020Q1") )
adjr2[3,] <- data.frame(summary(svarx.dm3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dm3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,] <- data.frame(bgtest(svarx.dm3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm4 <- lm(d$lm2 ~  s + lag(s,1) + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw +
                  + d$lp_oil + grve , subset(master, date>="1988Q4"& date<="2020Q1"))
adjr2[4,] <- data.frame(summary(svarx.dm4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dm4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,] <- data.frame(bgtest(svarx.dm4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm5 <- lm(d$lm2 ~  s + lag(s,1) + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw +
                  + d$lp_oil + grve + d$lgep, subset(master, date>="1988Q4"& date<="2020Q1"))
adjr2[5,] <- data.frame(summary(svarx.dm5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dm5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,] <- data.frame(bgtest(svarx.dm5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dm6 <- lm(d$lm2 ~ s + lag(s,1) + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw +
                  d$lp_oil + grve + d$lgep + d$lgeq, subset(master, date>="1988Q4"& date<="2020Q1"))
adjr2[6,] <- data.frame(summary(svarx.dm6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dm6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,] <- data.frame(bgtest(svarx.dm6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)

svarx.dm7 <- lm(d$lm2 ~  s + lag(s,1) + lag(d$lfx ,1) + lag(d$lm2,1)+
                  + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw + d$lp_oil +
                  grve + d$lgep + d$lgeq + dglr, subset(master, date>="1988Q4"& date<="2020Q1") )
adjr2[7,] <- data.frame(summary(svarx.dm7)$adj.r.squared)
resid_serial_corr_coeff[7,] <- data.frame(bgtest(svarx.dm7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[7,] <- data.frame(bgtest(svarx.dm7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dm1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dm1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2 <- paste(sprintf("%.3f",adjr2$summary.svarx.dm1..adj.r.squared), collapse = NULL)
serial <- paste(errorsc_coeff,"$\\;$ ",errorsc_p)

stargazer(svarx.dm1, svarx.dm2, svarx.dm3, svarx.dm4, svarx.dm5, svarx.dm6, svarx.dm7,  
          title = "Quarterly estimates of the equation for the money supply growth in the SVAR model of Iran
      with domestic variables ordered as: money supply growth, foreign exchange rate returns, inflation, and
      output growth, estimated over the period 1989q1-2020q1",
          covariate.labels = c("$s_{t}$", "$s_{t-1}$",
                               "$\\Delta e_{f,t-1}$",
                               "$\\Delta m_{t-1}$",
                               "$\\Delta p_{t-1}$",
                               "$\\Delta y_{t-1}$", 
                               "$\\Delta \\bar{y}_{wt}$",
                               "$\\Delta p^{0}_{t}$",
                               "$grv_{t}$",
                               "$\\Delta \\bar{e}_{wt}$", 
                               "$\\Delta \\overline{req}_{wt}$", 
                               "$\\Delta \\bar{r}_{wt}$"), 
          omit = c("Constant"), 
          font.size = "small",
          column.sep.width = "-15pt" ,
          omit.stat = c("all"),
          no.space = TRUE, 
          dep.var.caption = c("$\\Delta m_{t}$"), 
          add.lines = list(c("Residual serial", errorsc_coeff),
                           c("correlation test", errorsc_p),
                           c("Adjusted $R^{2}$", adjr2)),
          align = TRUE, 
          omit.table.layout = "n",
          dep.var.labels.include = FALSE, 
          type = "text",          
          out = '../LP Sanctions Iran Results/SVAR results/svar_Dm_ordering3.tex')

rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)


# * FX regressions ----------------------------------------------------

svarx.df1 <- lm(d$lfx ~  s + lag(s,1) + d$lm2 + lag(d$lfx ,1)+ lag(d$lm2,1) + lag(d$lp ,1) 
                + lag(d$ly ,1), subset(master, date>="1988Q4" & date<="2020Q1") )

adjr2 <- data.frame(summary(svarx.df1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.df1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p <- data.frame(bgtest(svarx.df1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)

svarx.df2 <- lm(d$lfx ~  s + lag(s,1) + d$lm2 + lag(d$lfx ,1)  + lag(d$lm2,1) + lag(d$lp ,1)
                + lag(d$ly ,1)+ d$lyw, subset(master, date>="1988Q4" & date<="2020Q1") )
adjr2[2,] <- data.frame(summary(svarx.df2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.df2, order = 4, 
                                                 order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,] <- data.frame(bgtest(svarx.df2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.df3 <- lm(d$lfx ~  s + lag(s,1) + d$lm2 + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1) 
                + lag(d$ly ,1)+  d$lyw + d$lp_oil , subset(master, date>="1988Q4" & date<="2020Q1") )
adjr2[3,] <- data.frame(summary(svarx.df3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.df3, order = 4, 
                                                 order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,] <- data.frame(bgtest(svarx.df3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.df4 <- lm(d$lfx ~  s + lag(s,1) + d$lm2 + lag(d$lfx ,1)  + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw + 
                  d$lp_oil + grve, subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[4,] <- data.frame(summary(svarx.df4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.df4, order = 4, 
                                                 order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,] <- data.frame(bgtest(svarx.df4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.df5 <- lm(d$lfx ~  s + lag(s,1) + d$lm2 + lag(d$lfx ,1)  + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw + 
                  d$lp_oil + grve + d$lgep, subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[5,] <- data.frame(summary(svarx.df5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.df5, order = 4, 
                                                 order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,] <- data.frame(bgtest(svarx.df5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.df6 <- lm(d$lfx ~ s + lag(s,1) + d$lm2 + lag(d$lfx ,1) + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)+ d$lyw + 
                  d$lp_oil + grve + d$lgep + d$lgeq, subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[6,] <- data.frame(summary(svarx.df6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.df6, order = 4, 
                                                 order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,] <- data.frame(bgtest(svarx.df6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.df7 <- lm(d$lfx ~  s + lag(s,1) + d$lm2 + lag(d$lfx ,1)  + lag(d$lm2,1) + lag(d$lp ,1) + lag(d$ly ,1)
                + d$lyw + d$lp_oil + grve + d$lgep + d$lgeq + dglr, subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[7,] <- data.frame(summary(svarx.df7)$adj.r.squared)
resid_serial_corr_coeff[7,] <- data.frame(bgtest(svarx.df7, order = 4, 
                                                 order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[7,] <- data.frame(bgtest(svarx.df7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.df1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.df1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2 <- paste(sprintf("%.3f",adjr2$summary.svarx.df1..adj.r.squared), collapse = NULL)
serial <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)


svarx1<-stargazer(svarx.df1, svarx.df2, svarx.df3, svarx.df4, svarx.df5, svarx.df6, svarx.df7,
                  title = "Quarterly estimates of the equation for the rate of change of the free market foreign exchange
    rate in the SVAR model of Iran with domestic variables ordered as: money supply growth, foreign
    exchange rate returns, inflation, and output growth, estimated over the period 1989q1-2020q1",
                  covariate.labels = c("$s_{t}$", "$s_{t-1}$", 
                                       "$\\Delta m_{t}$",
                                       "$\\Delta e_{f,t-1}$", 
                                       "$\\Delta m_{t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$", 
                                       "$\\Delta \\bar{y}_{wt}$", 
                                       "$\\Delta p^{0}_{t}$",
                                       "$grv_{t}$", 
                                       "$\\Delta \\bar{e}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$", 
                                       "$\\Delta \\bar{r}_{wt}$"), 
                  omit =c("Constant"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta e_{f,t}$"), 
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  type = "text",                  
                  out = '../LP Sanctions Iran Results/SVAR results/svar_DFX_ordering3.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)



# * DP regressions ----------------------------------------------------

svarx.dp1 <- lm(d$lp ~  s + lag(s,1)+ d$lfx + d$lm2 + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) +
                  lag(d$ly ,1) + lag(d$lp ,2), 
                subset(master, date>="1988Q3" & date<="2020Q1") )
adjr2 <- data.frame(summary(svarx.dp1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dp2 <- lm(d$lp ~  s + lag(s,1)+ d$lfx + d$lm2  + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1)+ lag(d$lp ,2) + d$lyw, 
                subset(master, date>="1988Q3" & date<="2020Q1") )
adjr2[2,] <- data.frame(summary(svarx.dp2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,] <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dp3 <- lm(d$lp ~  s + lag(s,1)+ d$lfx + d$lm2 + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1) + lag(d$lp ,2) + d$lyw + d$lp_oil,
                subset(master, date>="1988Q3" & date<="2020Q1")  )
adjr2[3,] <- data.frame(summary(svarx.dp3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,] <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp4 <- lm(d$lp ~  s + lag(s,1)+ d$lfx + d$lm2 + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1) + lag(d$lp ,2) + d$lyw + d$lp_oil + grve , 
                subset(master, date>="1988Q3" & date<="2020Q1") )
adjr2[4,] <- data.frame(summary(svarx.dp4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,] <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dp5 <- lm(d$lp ~  s + lag(s,1)+ d$lfx + d$lm2 + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1) + lag(d$lp ,2) + d$lyw + d$lp_oil + grve + d$lgep, 
                subset(master, date>="1988Q3" & date<="2020Q1") )
adjr2[5,] <- data.frame(summary(svarx.dp5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,] <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp6 <- lm(d$lp ~  s + lag(s,1)+ d$lfx + d$lm2 + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) +
                  lag(d$ly ,1) + lag(d$lp ,2) + d$lyw + d$lp_oil + grve + d$lgep + d$lgeq, 
                subset(master, date>="1988Q3"& date<="2020Q1") )
adjr2[6,] <- data.frame(summary(svarx.dp6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,] <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp7 <- lm(d$lp ~  s + lag(s,1)+ d$lfx + d$lm2 + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1) + lag(d$lp ,2) + d$lyw + d$lp_oil + grve + d$lgep + d$lgeq + dglr, 
                subset(master, date>="1988Q3" & date<="2020Q1"))
adjr2[7,] <- data.frame(summary(svarx.dp7)$adj.r.squared)
resid_serial_corr_coeff[7,] <- data.frame(bgtest(svarx.dp7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[7,] <- data.frame(bgtest(svarx.dp7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2 <- paste(sprintf("%.3f",adjr2$summary.svarx.dp1..adj.r.squared), collapse = NULL)
serial <- paste(errorsc_coeff,"$\\;$ ",errorsc_p)


stargazer(svarx.dp1, svarx.dp2, svarx.dp3, svarx.dp4, svarx.dp5, svarx.dp6,  svarx.dp7,
          title = "Quarterly estimates of the equation for the inflation rate in the SVAR model of Iran with
    domestic variables ordered as: money supply growth, foreign exchange rate returns, inflation, and output
    growth, estimated over the period 1989q1-2020q1",
          covariate.labels = c("$s_{t}$", "$s_{t-1}$", 
                               "$\\Delta e_{f,t}$", 
                               "$\\Delta m_{t}$", 
                               "$\\Delta e_{f,t-1}$", 
                               "$\\Delta m_{t-1}$",
                               "$\\Delta p_{t-1}$", 
                               "$\\Delta y_{t-1}$", 
                               "$\\Delta p_{t-2}$", 
                               "$\\Delta \\bar{y}_{wt}$",
                               "$\\Delta p^{0}_{t}$",
                               "$grv_{t}$", 
                               "$\\Delta \\bar{e}_{wt}$", 
                               "$\\Delta \\overline{req}_{wt}$", 
                               "$\\Delta \\bar{r}_{wt}$"), 
          omit =c("Constant"), 
          font.size = "small",
          omit.stat = c("all"), 
          no.space = TRUE, 
          column.sep.width = "-15pt" ,
          dep.var.caption = c("$\\Delta p_{t}$"), 
          align = TRUE,
          omit.table.layout = "n",
          add.lines = list(c("Residual serial", errorsc_coeff),
                           c("correlation test", errorsc_p),
                           c("Adjusted $R^{2}$", adjr2)),
          dep.var.labels.include = FALSE, 
          type = "text",          
          out = '../LP Sanctions Iran Results/SVAR results/svar_DP_ordering3.tex')

rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)




# * DY regressions ----------------------------------------------------

svarx.dy1 <- lm(d$ly ~  s + lag(s,1)+ d$lfx + d$lm2  + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + lag(d$ly ,1), 
                subset(master, date>="1988Q4" & date<="2020Q1") )
adjr2 <- data.frame(summary(svarx.dy1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy2 <- lm(d$ly ~  s + lag(s,1)+ d$lfx + d$lm2  + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1)  + d$lyw, 
                subset(master, date>="1988Q4"& date<="2020Q1"))
adjr2[2,] <- data.frame(summary(svarx.dy2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,] <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy3 <- lm(d$ly ~  s + lag(s,1)+ d$lfx + d$lm2 + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1)+ 
                  lag(d$ly ,1) + d$lyw + d$lp_oil, 
                subset(master, date>="1988Q4" & date<="2020Q1") )
adjr2[3,] <- data.frame(summary(svarx.dy3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,] <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy4 <- lm(d$ly ~  s + lag(s,1)+ d$lfx  + d$lm2 + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1) + d$lyw + d$lp_oil  + grve, 
                subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[4,] <- data.frame(summary(svarx.dy4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,] <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dy5 <- lm(d$ly ~  s + lag(s,1)+ d$lfx  + d$lm2 + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1) + 
                  lag(d$ly ,1) + d$lyw + d$lp_oil  + grve + d$lgep, 
                subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[5,] <- data.frame(summary(svarx.dy5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,] <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dy6 <- lm(d$ly ~  s + lag(s,1)+ d$lfx + d$lm2 + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1)+ 
                  lag(d$ly ,1) + d$lyw + d$lp_oil + grve + d$lgep + d$lgeq, 
                subset(master, date>="1988Q4" & date<="2020Q1"))
adjr2[6,] <- data.frame(summary(svarx.dy6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,] <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy7 <- lm(d$ly ~  s + lag(s,1)+ d$lfx + d$lm2 + d$lp + lag(d$lfx ,1) + lag(d$lm2 ,1) + lag(d$lp ,1)+ 
                  lag(d$ly ,1) + d$lyw + d$lp_oil + grve + d$lgep + d$lgeq + dglr, 
                subset(master, date>="1988Q4" & date<="2020Q1") )
adjr2[7,] <- data.frame(summary(svarx.dy7)$adj.r.squared)
resid_serial_corr_coeff[7,] <- data.frame(bgtest(svarx.dy7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[7,] <- data.frame(bgtest(svarx.dy7, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2 <- paste(sprintf("%.3f",adjr2$summary.svarx.dy1..adj.r.squared), collapse = NULL)
serial <- paste(errorsc_coeff,"$\\;$ ",errorsc_p)


stargazer(svarx.dy1, svarx.dy2, svarx.dy3, svarx.dy4, svarx.dy5, svarx.dy6, svarx.dy7,
          title = "Quarterly estimates of the equation for the output growth in the SVAR model of Iran with
    domestic variables ordered as: money supply growth, foreign exchange rate returns, inflation, and output
    growth, estimated over the period 1989q1-2020q1",  
          covariate.labels = c("$s_{t}$", "$s_{t-1}$", 
                               "$\\Delta e_{f,t}$", 
                               "$\\Delta m_{t}$", 
                               "$\\Delta p_{t}$",
                               "$\\Delta e_{f,t-1}$", 
                               "$\\Delta m_{t-1}$", 
                               "$\\Delta p_{t-1}$", 
                               "$\\Delta y_{t-1}$", 
                               "$\\Delta \\bar{y}_{wt}$",
                               "$\\Delta p^{0}_{t}$",
                               "$grv_{t}$", 
                               "$\\Delta \\bar{e}_{wt}$", 
                               "$\\Delta \\overline{req}_{wt}$", 
                               "$\\Delta \\bar{r}_{wt}$"), 
          omit =c("Constant"), 
          font.size = "small",
          omit.stat = c("all"), 
          no.space = TRUE, 
          column.sep.width = "-15pt" ,
          dep.var.caption = c("$\\Delta y_{t}$"), 
          align = TRUE, 
          omit.table.layout = "n",
          add.lines = list(c("Residual serial", errorsc_coeff),
                           c("correlation test", errorsc_p),
                           c("Adjusted $R^{2}$", adjr2)),
          dep.var.labels.include = FALSE, 
          type = "text",          
          out = '../LP Sanctions Iran Results/SVAR results/svar_DY_ordering3.tex')

rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)