# Education outcomes 

# Results using the number of schools -----------------------------------------

# *Primary schools --------------------------------------------------

reg.rf1 <- lm(de$lschool_prim ~  lag(s,1) + d$ly, subset(master, year>=1988))

reg.rf2 <- lm(de$lschool_prim ~  lag(s,1) + d$ly + d$lp_oil, subset(master, year>=1988))

reg.rf3 <- lm(de$lschool_prim ~  lag(s,1) + d$ly  + d$lp_oil + d$lyw, subset(master, year>=1988))

reg.rf4 <- lm(de$lschool_prim ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil , subset(master, year>=1988))

reg.rf5 <- lm(de$lschool_prim ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil + d$ly_tur , subset(master, year>=1988))


stargazer(reg.rf1, reg.rf2, reg.rf3, reg.rf4, reg.rf5, 
          title = "Effects of sanctions on the rate of change of the number of primary schools in Iran estimated
    over the period 1989-2018",
          covariate.labels = c("$s_{t-1}$",
                               "$\\Delta y_{t}$", 
                               "$\\Delta p^{0}_{t}$",  
                               "$\\Delta \\bar{y}_{w,t}$", 
                               "$\\Delta \\bar{y}^{0}_{t}$", 
                               "$\\Delta y^{Tur}_{t}$"), 
          omit =c("Constant"), font.size = "small", omit.table.layout = "n", 
          align = TRUE,
          omit.stat = c("n", "LL","ser", "f","rsq"), 
          no.space = TRUE, 
          dep.var.caption = c("Primary schools"), 
          column.sep.width = "-10pt",
          dep.var.labels.include = FALSE, 
          type ="text",
          out = '../LP Sanctions Iran Results/education outcomes/schools_prim.tex')

rm(list=ls(pattern="^reg"))






# * Lower-secondary schools ------------------------------------------


reg.rf1 <- lm(de$lschool_ls ~  lag(s,1) + d$ly, subset(master, year>=1988))

reg.rf2 <- lm(de$lschool_ls ~  lag(s,1) + d$ly  + d$lp_oil, subset(master, year>=1988))

reg.rf3 <- lm(de$lschool_ls ~  lag(s,1) + d$ly + d$lp_oil + d$lyw, subset(master, year>=1988))

reg.rf4 <- lm(de$lschool_ls ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil , subset(master, year>=1988))

reg.rf5 <- lm(de$lschool_ls ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil + d$ly_tur , subset(master, year>=1988))

stargazer(reg.rf1, reg.rf2, reg.rf3, reg.rf4, reg.rf5,  
          title = "Effects of sanctions on the rate of change of the number of lower secondary schools in Iran
          estimated over the period 1989-2018",
          covariate.labels = c("$s_{t-1}$",
                               "$\\Delta y_{t}$", 
                               "$\\Delta p^{0}_{t}$",  
                               "$\\Delta \\bar{y}_{w,t}$", 
                               "$\\Delta \\bar{y}^{0}_{t}$", 
                               "$\\Delta y^{Tur}_{t}$"), 
          omit =c("Constant"), font.size = "small", 
          omit.table.layout = "n", 
          align = TRUE,
          omit.stat = c("n", "LL","ser", "f","rsq"), 
          no.space = TRUE, dep.var.caption = c("Lower secondary schools"), 
          column.sep.width = "-10pt",
          dep.var.labels.include = FALSE, 
          type = "text",
          out = '../LP Sanctions Iran Results/education outcomes/schools_lowersecondary.tex')

rm(list=ls(pattern="^reg"))






# *High schools ----------------------------------------------------------------

reg.rf1 <- lm(de$lschool_hs ~  lag(s,1) + d$ly, subset(master, year>=1988))

reg.rf2 <- lm(de$lschool_hs ~  lag(s,1) + d$ly + d$lp_oil, subset(master, year>=1988))


reg.rf3 <- lm(de$lschool_hs ~  lag(s,1) + d$ly + d$lp_oil + d$lyw, subset(master, year>=1988))

reg.rf4 <- lm(de$lschool_hs ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil , subset(master, year>=1988))

reg.rf5 <- lm(de$lschool_hs ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil + d$ly_tur , subset(master, year>=1988))

stargazer(reg.rf1, reg.rf2, reg.rf3, reg.rf4, reg.rf5,  
          title = "Effects of sanctions on the rate of change of the number of high schools in Iran estimated
          over the period 1989-2018",
          covariate.labels = c("$s_{t-1}$",
                               "$\\Delta y_{t}$", 
                               "$\\Delta p^{0}_{t}$",  
                               "$\\Delta \\bar{y}_{w,t}$", 
                               "$\\Delta \\bar{y}^{0}_{t}$", 
                               "$\\Delta y^{Tur}_{t}$"), 
          omit = c("Constant"), 
          font.size = "small", 
          omit.table.layout = "n", 
          align = TRUE,
          omit.stat = c("n", "LL","ser", "f","rsq"), 
          no.space = TRUE, 
          dep.var.caption = c("High schools"), 
          column.sep.width = "-10pt",
          dep.var.labels.include = FALSE, 
          type = "text",
          out = '../LP Sanctions Iran Results/education outcomes/schools_hs.tex')

rm(list=ls(pattern="^reg"))



# *Total schools ----------------------------------------------------------------

reg.rf1 <- lm(de$lschool_tot ~  lag(s,1) + d$ly, subset(master, year>=1988))
summary(reg.rf1)

reg.rf2 <- lm(de$lschool_tot ~  lag(s,1) + d$ly + d$lp_oil, subset(master, year>=1988))

reg.rf3 <- lm(de$lschool_tot ~  lag(s,1) + d$ly + d$lp_oil + d$lyw, subset(master, year>=1988))

reg.rf4 <- lm(de$lschool_tot ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil , subset(master, year>=1988))

reg.rf5 <- lm(de$lschool_tot ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil + d$ly_tur , subset(master, year>=1988))

stargazer(reg.rf1, reg.rf2, reg.rf3, reg.rf4, reg.rf5, 
          title = "Effects of sanctions on the rate of change of the total number of schools in Iran estimated
          over the period 1989-2018",
          covariate.labels = c("$s_{t-1}$",
                               "$\\Delta y_{t}$",
                               "$\\Delta p^{0}_{t}$",  
                               "$\\Delta \\bar{y}_{w,t}$", 
                               "$\\Delta \\bar{y}^{0}_{t}$", 
                               "$\\Delta y^{Tur}_{t}$"), 
          omit =c("Constant"), 
          font.size = "small", 
          omit.table.layout = "n", 
          align = TRUE,
          omit.stat = c("n", "LL","ser", "f","rsq"), 
          no.space = TRUE, 
          dep.var.caption = c("Total number of schools"), 
          column.sep.width = "-10pt",
          dep.var.labels.include = FALSE, 
          type = "text",
          out = '../LP Sanctions Iran Results/education outcomes/schools_tot.tex')

rm(list=ls(pattern="^reg"))





# Results using the number of teachers -----------------------------------------

# *Primary schools teachers --------------------------------------------------

reg.rf1 <- lm(de$lteach_prim ~  lag(s,1) + d$ly, subset(master, year>=1988))
summary(reg.rf1)

reg.rf2 <- lm(de$lteach_prim ~  lag(s,1) + d$ly + d$lp_oil, subset(master, year>=1988))

reg.rf3 <- lm(de$lteach_prim ~  lag(s,1) + d$ly + d$lp_oil + d$lyw, subset(master, year>=1988))

reg.rf4 <- lm(de$lteach_prim ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil , subset(master, year>=1988))

reg.rf5 <- lm(de$lteach_prim ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil + d$ly_tur , subset(master, year>=1988))

stargazer(reg.rf1, reg.rf2, reg.rf3, reg.rf4, reg.rf5,
          title = "Effects of sanctions on the rate of change of the number of primary school teachers in Iran
          estimated over the period 1989-2019",
          covariate.labels = c("$s_{t-1}$",
                               "$\\Delta y_{t}$", 
                               "$\\Delta p^{0}_{t}$",  
                               "$\\Delta \\bar{y}_{w,t}$", 
                               "$\\Delta \\bar{y}^{0}_{t}$", 
                               "$\\Delta y^{Tur}_{t}$"), 
          omit =c("Constant"), font.size = "small", omit.table.layout = "n", align = TRUE,
          omit.stat = c("n", "LL","ser", "f","rsq"), 
          no.space = TRUE, dep.var.caption = c("Primary school teachers"), 
          column.sep.width = "-10pt",
          dep.var.labels.include = FALSE, 
          type = "text",
          out = '../LP Sanctions Iran Results/education outcomes/teachers_primary.tex')

rm(list=ls(pattern="^reg"))




# *Lower secondary schools teachers --------------------------------------------------

reg.rf1 <- lm(de$lteach_ls ~  lag(s,1) + d$ly, subset(master, year>=1988))

reg.rf2 <- lm(de$lteach_ls ~  lag(s,1) + d$ly + d$lp_oil, subset(master, year>=1988))

reg.rf3 <- lm(de$lteach_ls ~  lag(s,1) + d$ly + d$lp_oil + d$lyw, subset(master, year>=1988))

reg.rf4 <- lm(de$lteach_ls ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil , subset(master, year>=1988))

reg.rf5 <- lm(de$lteach_ls ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil + d$ly_tur , subset(master, year>=1988))

stargazer(reg.rf1, reg.rf2, reg.rf3, reg.rf4, reg.rf5,
          title = "Effects of sanctions on the rate of change of the number of lower secondary school teachers
          in Iran estimated over the period 1989-2019",
          covariate.labels = c("$s_{t-1}$",
                               "$\\Delta y_{t}$", 
                               "$\\Delta p^{0}_{t}$",  
                               "$\\Delta \\bar{y}_{w,t}$", 
                               "$\\Delta \\bar{y}^{0}_{t}$", 
                               "$\\Delta y^{Tur}_{t}$"), 
          omit =c("Constant"), font.size = "small", omit.table.layout = "n", align = TRUE,
          omit.stat = c("n", "LL","ser", "f","rsq"), 
          no.space = TRUE, dep.var.caption = c("Lower secondary school teachers"), 
          column.sep.width = "-10pt",
          dep.var.labels.include = FALSE, 
          type = "text",
          out = '../LP Sanctions Iran Results/education outcomes/teachers_lowersec.tex')

rm(list=ls(pattern="^reg"))






# *High school teachers --------------------------------------------------

reg.rf1 <- lm(de$lteach_hs ~  lag(s,1) + d$ly, subset(master, year>=1988))
summary(reg.rf1)

reg.rf2 <- lm(de$lteach_hs ~  lag(s,1) + d$ly + d$lp_oil, subset(master, year>=1988))

reg.rf3 <- lm(de$lteach_hs ~  lag(s,1) + d$ly + d$lp_oil + d$lyw, subset(master, year>=1988))

reg.rf4 <- lm(de$lteach_hs ~  lag(s,1) + d$ly  + d$lp_oil + d$lyw  + d$lyoil , subset(master, year>=1988))

reg.rf5 <- lm(de$lteach_hs ~  lag(s,1) + d$ly  +  d$lp_oil + d$lyw  + d$lyoil + d$ly_tur , subset(master, year>=1988))

stargazer(reg.rf1, reg.rf2, reg.rf3, reg.rf4, reg.rf5,  
          title = "Effects of sanctions on the rate of change of the number of high school teachers in Iran
          estimated over the period 1989-2019",
          covariate.labels = c("$s_{t-1}$",
                               "$\\Delta y_{t}$", 
                               "$\\Delta p^{0}_{t}$",  
                               "$\\Delta \\bar{y}_{w,t}$", 
                               "$\\Delta \\bar{y}^{0}_{t}$", 
                               "$\\Delta y^{Tur}_{t}$"), 
          omit = c("Constant"), font.size = "small", 
          omit.table.layout = "n", align = TRUE,
          omit.stat = c("n", "LL","ser", "f","rsq"), 
          no.space = TRUE, 
          dep.var.caption = c("High school teachers"), 
          column.sep.width = "-10pt",
          dep.var.labels.include = FALSE, 
          type = "text",
          out = '../LP Sanctions Iran Results/education outcomes/teachers_hs.tex')

rm(list=ls(pattern="^reg"))



# * Teachers tot --------------------------------------------------
reg.rf1 <- lm(de$lteach_tot ~  lag(s,1) + d$ly, subset(master, year>=1988))
summary(reg.rf1)

reg.rf2 <- lm(de$lteach_tot ~  lag(s,1) + d$ly + d$lp_oil, subset(master, year>=1988))

reg.rf3 <- lm(de$lteach_tot ~  lag(s,1) + d$ly + d$lp_oil + d$lyw, subset(master, year>=1988))

reg.rf4 <- lm(de$lteach_tot ~  lag(s,1) + d$ly  + d$lp_oil + d$lyw  + d$lyoil , subset(master, year>=1988))

reg.rf5 <- lm(de$lteach_tot ~  lag(s,1) + d$ly + d$lp_oil + d$lyw  + d$lyoil + d$ly_tur , subset(master, year>=1988))

stargazer(reg.rf1, reg.rf2, reg.rf3, reg.rf4, reg.rf5,
          title = "Effects of sanctions on the rate of change of the total number of teachers in Iran estimated
          over the period 1989-2019",
          covariate.labels = c("$s_{t-1}$",
                               "$\\Delta y_{t}$", 
                               "$\\Delta p^{0}_{t}$",  
                               "$\\Delta \\bar{y}_{w,t}$",
                               "$\\Delta \\bar{y}^{0}_{t}$", 
                               "$\\Delta y^{Tur}_{t}$"), 
          omit =c("Constant"), 
          font.size = "small", 
          omit.table.layout = "n", 
          align = TRUE,
          omit.stat = c("n", "LL","ser", "f","rsq"),
          no.space = TRUE, 
          dep.var.caption = c("Total number of teachers"), 
          column.sep.width = "-10pt",
          dep.var.labels.include = FALSE, 
          type = "text",          
          out = '../LP Sanctions Iran Results/education outcomes/teachers_tot.tex')

rm(list=ls(pattern="^reg"))





# * Gender ratio --------------------------------------------------

reg.rf1 <- lm(de$lstud_gender ~  s + d$ly, subset(master, year>=1989))
summary(reg.rf1)

reg.rf2 <- lm(de$lstud_gender ~  s + d$ly + d$lp_oil, subset(master, year>=1989))

reg.rf3 <- lm(de$lstud_gender ~  s + d$ly + d$lp_oil + d$lyw, subset(master, year>=1989))

reg.rf4 <- lm(de$lstud_gender ~  s + d$ly + d$lp_oil + d$lyw  + d$lyoil , subset(master, year>=1989))

reg.rf5 <- lm(de$lstud_gender ~  s + d$ly + d$lp_oil + d$lyw  + d$lyoil + d$ly_tur , subset(master, year>=1989))

stargazer(reg.rf1, reg.rf2, reg.rf3, reg.rf4, reg.rf5,
          title = "Effects of sanctions on the number of female to male students across all grades (rate of
          change) estimated over the period 1989-2019",
          covariate.labels = c("$s_{t}$",
                               "$\\Delta y_{t}$", 
                               "$\\Delta p^{0}_{t}$",  
                               "$\\Delta \\bar{y}_{w,t}$",
                               "$\\Delta \\bar{y}^{0}_{t}$", 
                               "$\\Delta y^{Tur}_{t}$"), 
          omit =c("Constant"), font.size = "small", omit.table.layout = "n", align = TRUE,
          omit.stat = c("n", "LL","ser", "f","rsq"), no.space = TRUE, 
          dep.var.caption = c("Female-to-male  student  ratio"), 
          column.sep.width = "-10pt",
          dep.var.labels.include = FALSE, 
          type = "text",
          out = '../LP Sanctions Iran Results/education outcomes/stud_gender_ratio.tex')

rm(list=ls(pattern="^reg"))