%%                       IRFs  Plots                             %%
%%%%%%%%%%################################################%%%%%%%%%
clear 
clc

%Load data from the "LP Sanctions Iran Data" folder
load('vars_for_IRFS.mat')
set(0, 'DefaultAxesFontSize', 17, 'DefaultAxesFontName', 'Times');

%% SHOCK TO SANCTIONS
figure(1)   
set(gcf,'color','w','PaperUnits','normalized','WindowState','maximized');
plotIRF1s = tiledlayout(1,3);
nexttile    
 shade(hh,100*IRF1{5,1}(50,:), 'w', ...
       hh, 100*IRF1{5,1}(125,:),'w',...
       hh, 100*IRF1{5,1}(875,:),'w', ...
       hh, 100*IRF1{5,1}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6);
   hold on 
    plot(hh, 100*IRF1{5,1}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex', 'FontSize',16)
    title({'Foreign exchange '},'FontSize',17, 'interpreter', 'latex');    
    subtitle({'(IRR/USD $\ln$ change)'},'FontSize',13, 'interpreter', 'latex')
    xlim([0, 16])
    xticks(0:4:16)
    hAx = gca;
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-1.464,5.173,-1])
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
nexttile
shade(hh, 100*IRF1{5,2}(50,:),'w',...
      hh, 100*IRF1{5,2}(125,:),'w',...
      hh, 100*IRF1{5,2}(875,:),'w', ...
      hh, 100*IRF1{5,2}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{5,2}(500,:), 'r', 'LineWidth',1.1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex','FontSize',17)
    xlim([0,16])
    xticks(0:4:16)
    hAx = gca;
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-1.464, 0.72,-1])
    axis square
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Inflation','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
nexttile
shade(hh, 100*IRF1{5,3}(50,:),'w',...
      hh, 100*IRF1{5,3}(125,:),'w',...
      hh, 100*IRF1{5,3}(875,:),'w', ...
      hh, 100*IRF1{5,3}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{5,3}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,16])
    xticks(0:4:16)    
    axis square
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-1.464, 0.43,-1])
    hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Output growth','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
exportgraphics(plotIRF1s,'../LP Sanctions Iran Results/SVAR results/IRFs_sanctions_shock.png','Resolution',250)



%% SHOCK TO EXCHANGE RATES
figure(2)
set(gcf,'color','w','PaperUnits','normalized','WindowState','maximized');
 plotIRF1dfx = tiledlayout(1,3);
nexttile    
 shade(hh,100*IRF1{1,1}(50,:), 'w', ...
       hh, 100*IRF1{1,1}(125,:),'w',...
       hh, 100*IRF1{1,1}(875,:),'w', ...
       hh, 100*IRF1{1,1}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6);
   hold on 
    plot(hh, 100*IRF1{1,1}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex', 'FontSize',16)
    xlim([0,8])
    title('Foreign exchange','FontSize',17, 'interpreter', 'latex');        
    subtitle({' (IRR/USD $\ln$ change)'},'FontSize',13, 'interpreter', 'latex')    
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 10.32,-1])
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
nexttile
shade(hh, 100*IRF1{1,2}(50,:),'w',...
      hh, 100*IRF1{1,2}(125,:),'w',...
      hh, 100*IRF1{1,2}(875,:),'w', ...
      hh, 100*IRF1{1,2}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{1,2}(500,:), 'r', 'LineWidth',1.1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex','FontSize',17)
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 1.65,-1])        
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Inflation','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
nexttile
shade(hh, 100*IRF1{1,3}(50,:),'w',...
      hh, 100*IRF1{1,3}(125,:),'w',...
      hh, 100*IRF1{1,3}(875,:),'w', ...
      hh, 100*IRF1{1,3}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{1,3}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 0.24,-1])    
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Output growth','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
exportgraphics(plotIRF1dfx,'../LP Sanctions Iran Results/SVAR results/IRFs_dFX_shock.png','Resolution', 250)

     

%% SHOCK TO DP
figure(3) 
set(gcf,'color','w','PaperUnits','normalized','WindowState','maximized');
 plotIRF1dp = tiledlayout(1,3);
nexttile    
 shade(hh,100*IRF1{2,1}(50,:), 'w', ...
       hh, 100*IRF1{2,1}(125,:),'w',...
       hh, 100*IRF1{2,1}(875,:),'w', ...
       hh, 100*IRF1{2,1}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6);
   hold on 
    plot(hh, 100*IRF1{2,1}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex', 'FontSize',17)
    xlim([0,8])
    ylabel('Per cent', 'FontSize', 15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 0.56,-1])    
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Foreign exchange','FontSize',17, 'interpreter', 'latex');
    subtitle({' (IRR/USD $\ln$ change)'},'FontSize',13, 'interpreter', 'latex')
nexttile
shade(hh, 100*IRF1{2,2}(50,:),'w',...
      hh, 100*IRF1{2,2}(125,:),'w',...
      hh, 100*IRF1{2,2}(875,:),'w', ...
      hh, 100*IRF1{2,2}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{2,2}(500,:), 'r', 'LineWidth',1.1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex','FontSize',17)
    xlim([0,8])
    ylabel('Per cent', 'FontSize', 15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 1.65, -1])        
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Inflation','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
nexttile
shade(hh, 100*IRF1{2,3}(50,:),'w',...
      hh, 100*IRF1{2,3}(125,:),'w',...
      hh, 100*IRF1{2,3}(875,:),'w', ...
      hh, 100*IRF1{2,3}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{2,3}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 1.07,-1])        
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Output growth','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');   
exportgraphics(plotIRF1dp,'../LP Sanctions Iran Results/SVAR results/IRFs_inflation_shock.png','Resolution', 250)






%% SHOCK TO DY
figure(4) 
set(gcf,'color','w','PaperUnits','normalized','WindowState','maximized');
plotIRF1dy = tiledlayout(1,3);
nexttile   
 shade(hh,100*IRF1{3,1}(50,:), 'w', ...
       hh, 100*IRF1{3,1}(125,:),'w',...
       hh, 100*IRF1{3,1}(875,:),'w', ...
       hh, 100*IRF1{3,1}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6);
   hold on 
    plot(hh, 100*IRF1{3,1}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex', 'FontSize',17)
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 1.06,-1])        
    ax.FontName = 'Times'
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Foreign exchange','FontSize',17, 'interpreter', 'latex');
    subtitle({'(IRR/USD $\ln$ change)'},'FontSize',13, 'interpreter', 'latex')    
nexttile
shade(hh, 100*IRF1{3,2}(50,:),'w',...
      hh, 100*IRF1{3,2}(125,:),'w',...
      hh, 100*IRF1{3,2}(875,:),'w', ...
      hh, 100*IRF1{3,2}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{3,2}(500,:), 'r', 'LineWidth',1.1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex','FontSize',17)
    xlim([0,8])
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Inflation','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 0.32,-1])    
          legend({'','','','','','','90% bands', '75% bands','','','','','','Median'},... 
            'Location','southoutside','NumColumns',3, 'Fontsize', 22)
nexttile
shade(hh, 100*IRF1{3,3}(50,:),'w',...
      hh, 100*IRF1{3,3}(125,:),'w',...
      hh, 100*IRF1{3,3}(875,:),'w', ...
      hh, 100*IRF1{3,3}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{3,3}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 4.18, -1])        
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Output growth','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');               
  exportgraphics(plotIRF1dy,'../LP Sanctions Iran Results/SVAR results/IRFs_output_growth_shock.png','Resolution', 250)



%% SHOCK TO Global output growth
figure(5)   
set(gcf,'color','w','PaperUnits','normalized','WindowState','maximized');
plotIRF1dyw = tiledlayout(1,3);
nexttile    
 shade(hh,100*IRF1{4,1}(50,:), 'w', ...
       hh, 100*IRF1{4,1}(125,:),'w',...
       hh, 100*IRF1{4,1}(875,:),'w', ...
       hh, 100*IRF1{4,1}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6);
   hold on 
    plot(hh, 100*IRF1{4,1}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex', 'FontSize',16)
    title({'Foreign exchange '},'FontSize',17, 'interpreter', 'latex');    
    subtitle({'(IRR/USD $\ln$ change)'},'FontSize',13, 'interpreter', 'latex')
    xlim([0,8])
    xticks(0:2:16)  
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 0.58, -1])    
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
nexttile
shade(hh, 100*IRF1{4,2}(50,:),'w',...
      hh, 100*IRF1{4,2}(125,:),'w',...
      hh, 100*IRF1{4,2}(875,:),'w', ...
      hh, 100*IRF1{4,2}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{4,2}(500,:), 'r', 'LineWidth',1.1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex','FontSize',17)
    xlim([0,8])
    xticks(0:2:16)  
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 0.62,-1])
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Inflation','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
    legend({'','','','','','75% bands', '90% bands','Median'},... 
            'Location','southoutside','NumColumns',3, 'Fontsize', 22)
nexttile
shade(hh, 100*IRF1{4,3}(50,:),'w',...
      hh, 100*IRF1{4,3}(125,:),'w',...
      hh, 100*IRF1{4,3}(875,:),'w', ...
      hh, 100*IRF1{4,3}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{4,3}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    xticks(0:2:16)
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 0.63, -1]) 
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Output growth','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
exportgraphics(plotIRF1dyw,'../LP Sanctions Iran Results/SVAR results/IRFs_global_output_growth_shock.png','Resolution', 250)